# Made this cause chatgpt sucks at making this logic for sum reason
# Yes i used chatgpt because i did not want to spend my time figuring out how the json module works
import math

def get_steps(string, step_size): return int(len(input_string)/step_size)

def split_text(count,string):
    step = len(string)/count
    for i in range(count):
        cur = int(math.ceil(step*(i+1)))
        print(string[:cur])
    print("\nStepped", count, "times", step, "Letters")


input_string = "Language support is great"
string_length = get_steps(input_string,1)

split_text(string_length, input_string)